package com.reptileclient.jlifeapp.dto;

import com.reptileclient.jlifeapp.entity.Page;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author fuxubing
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class HmBookTradeOrderDTO extends Page {

    /**
     * 预约开始时间
     */
    private String beginTime;

    /**
     * 预约结束时间
     */
    private String endTime;

    /**
     * 预约手机号
     */
    private String userPhone;

    /**
     * 服务站编码
     */
    private String stationCode;

    /**
     * 服务人员手机
     */
    private String servantPhone;


    /**
     * 服务单状态
     */
    private Integer[] status;
}
