package com.reptileclient.jlifeapp.dto;

import lombok.Data;

@Data
public class HmrightInfoRespDTO {
	private String returnableAmount;
	/**
	 * 权益单类型 :商家赠送
	 */
	private String interestTypeName;
	private String shopName;
	/**
	 * 渠道
	 */
	private int source;
	private String supplierCode;
	/**
	 * 已使用的次数
	 */
	private int used;
	private String itemName;
	/**
	 * 总可使用次数
	 */
	private int total;
	/**
	 * 未预约次数
	 */
	private int unBookTimes;
//	private Permissions permissions;
	/**
	 * 状态-中文
	 */
	private String statusName;
	private int id;
	private String shopCode;
	private String supplierName;
	/**
	 * 赠送目的:其他订单
	 */
	private String useCodeName;
	private int periodTag;
	/**
	 * 服务单类型 1 周期型服务
	 */
	private String periodTagName;
	/**
	 * 权益单创建时间
	 */
	private String gmtCreate;
	private String userName;
	private long itemId;
	private String useCode;
	private String phone;
	/**
	 * 权益卡号
	 */
	private long serviceContractNo;
	private int remainder;
	private int status;

	/**
	 * 设置取消逻辑
	 */
	private Boolean  cancelFlag;

	public void setCancelFlag() {
		this.cancelFlag=this.used<=0;
	}
}
