package com.reptileclient.jlifeapp.entity.hm;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author fuxubing
 */
@NoArgsConstructor
@Data
public class HmBookOrder {
    private Long id;
    private String addrDetail;
    private String addrName;
    private String address;
    private String agreementNo;
    private Boolean allRefund;
    private Boolean assignFlag;
    private String bizOrderId;
    private Integer bookOrderNo;
    private String bookTime;
    private Integer bookTradeNo;
    private Boolean canCallDeliveryExpress;
    private Boolean canCallPickExpress;
    private Boolean canConfirmDelivery;
    private Boolean canModifyDelivery;
    private Boolean canModifyPickAndDelivery;
    private Boolean canPrint;
    private Boolean cancelFlag;
    private String cancelReason;
    private String certificateNo;
    private String createTime;
    private Boolean dispatchFlag;
    private String hmOrderId;
    private Long itemId;
    private String itemName;
    private Boolean modifyAddressFlag;
    private Boolean modifyFlag;
    private Boolean modifyTimeFlag;
    private Boolean needModifyDelivery;
    private Boolean needModifyPickAndDelivery;
    private Boolean noNeedDelivery;
    private Boolean noNeedPick;
    private String operRemark;
    private Boolean operRemarkFlag;
    private String operTypeName;
    private Boolean partRefund;
    private String payFee;
    private String paymentNo;
    private Integer periodTag;
    private String phone;
    private String position;
    private Boolean refundBenefits;
    private String remark;
    private Long servantId;
    private String servantRemark;
    private Boolean servantRemarkFlag;
    private Long serviceContractNo;
    private String serviceFulfillType;
    private String serviceType;
    private String shopName;
    private String status;
    private Integer statusCode;
    private String supplierName;
    private Long userId;
    private String userName;
    
    private Integer customerId;

    public HmBookOrder(String phone){
        this.phone = phone;
    }
}
