package com.reptileclient.jlifeapp.entity.hm;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@NoArgsConstructor
@Data
public class HmBookTradeOrder {

    /**
     * addrDetail : 2号门13号703室
     * addrName : 宏润国际花园
     * agreementNo : 2020102212443011
     * arrivedFlag : false
     * beginTime : 2023-12-28 17:30:00-20:30:00
     * bookOrderNo : 5985457
     * bookTradeNo : 5996321
     * cancelFlag : false
     * cancelTypeDesc : 改时间取消
     * confirmFlag : false
     * duration : 180
     * endTime : 2023-12-28 20:30:00
     * finishFlag : false
     * itemId : 593721373339
     * itemName : 半年周期服务 24次居家保洁 上门服务 鲸致生活
     * modifyFlag : false
     * paymentNo : 2020102222443038
     * position : 121.437772,31.175077
     * remark : 魏双
     * servantId : 228004
     * servantName : 魏双
     * servantPhone : 18827262249
     * serviceContractNo : 202010225985444
     * serviceType : 2
     * shopCode : 8008
     * startTime : 2023-12-28 17:30:00
     * stationCode : 26003
     * stationName : 上海徐汇（原虹桥站）
     * status : 4
     * userName : 陈女士
     * userPhone : 18621349968
     */

    private Long id;

    private String addrDetail;
    /**
     * 预约地址
     */
    private String addrName;
    /**
     * 协议单号
     */
    private String agreementNo;
    private Boolean arrivedFlag;
    /**
     * 预约时间
     */
    private String beginTime;
    /**
     * 关联服务订单
     */
    private Integer bookOrderNo;
    /**
     * 作业单号
     */
    private Integer bookTradeNo;
    private Boolean cancelFlag;
    /**
     * 取消类型
     */
    private String cancelTypeDesc;
    private Boolean confirmFlag;

    /**
     * 服务已提供时间
     */
    private Date deliverTime;
    private Integer duration;
    private String endTime;
    private Boolean finishFlag;
    /**
     * 关联单据
     */
    private String hmOrderNo;
    private Long itemId;
    /**
     * 服务项
     */
    private String itemName;
    /**
     * 最后操作人
     */
    private String operName;
    private Boolean modifyFlag;
    /**
     * 支付单号
     */
    private String paymentNo;
    private String position;
    private String remark;
    private Integer servantId;
    /**
     * 服务者
     */
    private String servantName;
    /**
     * 服务者手机号
     */
    private String servantPhone;

    /**
     * 技师备注
     */
    private String servantRemark;
    private Long serviceContractNo;
    /**
     * 作业单类型
     */
    private Integer serviceType;
    private String shopCode;
    private String startTime;
    private String stationCode;
    /**
     * 对应服务站
     */
    private String stationName;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 作业单目的
     */
    private String useCode;
    /**
     * 用途描述
     */
    private String useRemark;
    /**
     * 客户姓名
     */
    private String userName;
    /**
     * 预约手机号
     */
    private String userPhone;

    private Date createTime;

    private Date updateTime;
}
