package com.reptileclient.jlifeapp.entity.hm;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author fuxubing
 */
@NoArgsConstructor
@Data
public class HmPaymentItemSku {

    /**
     * buyAmount : 1
     * costPrice : 384000
     * itemId : 594061967806
     * itemName : 24次居家保洁
     * originCostPrice : 384000
     * picUrl : //img.alicdn.com/i1/263685747/O1CN016KXocZ1sKApQtRtoL_!!263685747.jpg
     * shopCode : 8033
     * skuCode : 137082001
     */

    private Long id;
    private String paymentNo;
    private BigDecimal buyAmount;
    private BigDecimal costPrice;
    private String itemId;
    private String itemName;
    private BigDecimal originCostPrice;
    private String picUrl;
    private String shopCode;
    private String skuCode;
    private Date createTime;
}
