package com.reptileclient.jlifeapp.entity.jz;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 盒马权益-服务项表
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class HmRightsItem {
    private Long id;

    /**
     * 门店编号
     */
    private String shopCode;

    /**
     * 商品ID
     */
    private Long itemId;

    /**
     * sku编号
     */
    private String skuCode;

    /**
     * sku名称
     */
    private String skuName;

    /**
     * 供应商编号
     */
    private String supplyCode;
}
