package com.reptileclient.jlifeapp.entity.jz;

import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 盒马权益-供应商表
    */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HmRightsSuppliers implements Serializable {
    /**
    * 主键
    */
    private Long id;

    /**
    * 供应商编号
    */
    private String supplyCode;

    /**
    * 供应商名称
    */
    private String supplyName;

    /**
    * 是否在用 1 是 0否
    */
    private Boolean isUse;

    private static final long serialVersionUID = 1L;
}