package com.reptileclient.jlifeapp.entity.jz;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author fuxubing
 */
@Data
@NoArgsConstructor
public class Order {
    private Integer id;

    private Integer userId;

    private String orderSn;

    private Short orderStatus;

    private Integer orderChannel;

    private Integer orderShopId;

    private String orderDate;

    private Short aftersaleStatus;

    private String consignee;

    private String mobile;

    private String address;

    private Integer addressId;

    private String message;

    private BigDecimal goodsPrice;

    private BigDecimal freightPrice;

    private BigDecimal couponPrice;

    private BigDecimal integralPrice;

    private BigDecimal grouponPrice;

    private BigDecimal orderPrice;

    private BigDecimal actualPrice;

    private String payId;

    private Date payTime;

    private String shipSn;

    private String shipChannel;

    private Date shipTime;

    private BigDecimal refundAmount;

    private String refundType;

    private String refundContent;

    private Date refundTime;

    private Date confirmTime;

    private Short comments;

    private Date endTime;

    private Date createTime;

    private Date updateTime;

    private Date importTime;

    private Boolean deleted;

    private Date commentTime;

    private Short orderServiceStatus;

    private String serviceContractNo;
}