package com.reptileclient.jlifeapp.config.datasource;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author fuxubing
 */
@Configuration
@Data
public class DataSourceConfig {
    @Value("${spring.datasource.driverClassName}")
    private String driverClassName;

    @Value("${spring.datasource.jz.url}")
    private String dbUrl_jz;

    @Value("${spring.datasource.jz.username}")
    private String username_jz;

    @Value("${spring.datasource.jz.password}")
    private String password_jz;
    
    @Value("${spring.datasource.hm.url}")
    private String dbUrl_hm;

    @Value("${spring.datasource.hm.username}")
    private String username_hm;

    @Value("${spring.datasource.hm.password}")
    private String password_hm;

}

