package com.reptileclient.jlifeapp.dto;

import java.util.List;

import com.reptileclient.jlifeapp.entity.Page;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author fuxubing
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class HmPaymentOrderDTO extends Page {
    /**
     * 付款单号
     */
    private String paymentNo;
    /**
     * 开单开始日期
     */
    private String createTimeBegin;

    /**
     * 开单结束时间
     */
    private String createTimeEnd;

    /**
     * 用户手机
     */
    private String buyerPhone;
    
    //状态 6已取消
    private List<Integer> statusList;
}
