package com.reptileclient.jlifeapp.entity.jz;

import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 盒马权益-门店(使用中的)
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class HmRightsShop implements Serializable {
    private Long id;

    /**
     * 门店编号
     */
    private String shopCode;

    /**
     * 门店名称
     */
    private String shopName;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;
}
