package com.reptileclient.jlifeapp.util.email;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "email")
public class EmailProperties {

    private String host;
    private Integer port;
    private String email;
    private String password;
    private String fileStore;
}
